Add a dimension to a product
curl --request POST \
--url https://api.statisfy.com/v1/products/{product_id}/dimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": true,
"hidden": true,
"key": "<string>",
"order": 5000,
"show_change": true,
"suffix": "<string>",
"type": null
}
'import requests
url = "https://api.statisfy.com/v1/products/{product_id}/dimensions"
payload = {
"name": "<string>",
"currency": True,
"hidden": True,
"key": "<string>",
"order": 5000,
"show_change": True,
"suffix": "<string>",
"type": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
currency: true,
hidden: true,
key: '<string>',
order: 5000,
show_change: true,
suffix: '<string>',
type: null
})
};
fetch('https://api.statisfy.com/v1/products/{product_id}/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/products/{product_id}/dimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'currency' => true,
'hidden' => true,
'key' => '<string>',
'order' => 5000,
'show_change' => true,
'suffix' => '<string>',
'type' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/products/{product_id}/dimensions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/products/{product_id}/dimensions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/products/{product_id}/dimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"product": "<string>",
"currency": false,
"hidden": false,
"order": 123,
"show_change": false,
"suffix": "<string>",
"type": "number"
}products
Add a dimension to a product
Adds a dimension. Its key is what usage data is matched on: send one (lower-case letters, digits, underscores) or it is made from the name, as the app makes it. Keys are unique across the workspace (one held is a 409) and fixed once set. type defaults to number.
POST
/
v1
/
products
/
{product_id}
/
dimensions
Add a dimension to a product
curl --request POST \
--url https://api.statisfy.com/v1/products/{product_id}/dimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currency": true,
"hidden": true,
"key": "<string>",
"order": 5000,
"show_change": true,
"suffix": "<string>",
"type": null
}
'import requests
url = "https://api.statisfy.com/v1/products/{product_id}/dimensions"
payload = {
"name": "<string>",
"currency": True,
"hidden": True,
"key": "<string>",
"order": 5000,
"show_change": True,
"suffix": "<string>",
"type": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
currency: true,
hidden: true,
key: '<string>',
order: 5000,
show_change: true,
suffix: '<string>',
type: null
})
};
fetch('https://api.statisfy.com/v1/products/{product_id}/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/products/{product_id}/dimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'currency' => true,
'hidden' => true,
'key' => '<string>',
'order' => 5000,
'show_change' => true,
'suffix' => '<string>',
'type' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/products/{product_id}/dimensions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/products/{product_id}/dimensions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/products/{product_id}/dimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"currency\": true,\n \"hidden\": true,\n \"key\": \"<string>\",\n \"order\": 5000,\n \"show_change\": true,\n \"suffix\": \"<string>\",\n \"type\": null\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"product": "<string>",
"currency": false,
"hidden": false,
"order": 123,
"show_change": false,
"suffix": "<string>",
"type": "number"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
201 - application/json
Successful Response
Was this page helpful?